# get\_all\_maps

Generates a dictionary of all the [MaciDataObj's](/docs/maci/object.md) currently mapped parent and child attribute name references, and returns a dict representation of the maps. This method currently has no parameters.

Useful if it is desired to view or reference all currently mapped attribute names.

{% hint style="info" %}
data.get\_all\_maps()  ->  dict\[str, dict\[str, Any]
{% endhint %}

\
*Basic Example of getting a dict of all the currently mapped attribute names of the* [*MaciDataObj*](/docs/maci/object.md)

```python
dict_data = data.get_all_maps()
```

In this example, we simply use the get\_all\_maps method on the [MaciDataObj](/docs/maci/object.md) to get a generated copy of the currently mapped parent and child attribute name references, currently held inside the maci object, as a dictionary, and assign the returned dict data to a variable.

Each map has its own dedicated key name. Examples below show empty maps and maps with a basic reference.

*Example output of empty maps showing dedicated key names*

```python
{'parent_maps': {}, 'child_maps': {}}
```

*Example output of maps with basic references*

```python
{'parent_maps': {'attr1': {'attr2': 'attr1'}}, 'child_maps': {'attr2': 'attr1'}}
```

Parent maps will have their own parent key name matching its attribute name with a value to all child maps referencing the parent attribute name.

Child maps will have their own child key name matching its attribute name with a value to the parent attribute name they are referencing. <br>

For more information on the mapping concept, see [Map Assignment Glyph](https://docs.macilib.org/docs/maci/language/v1.0.0#map-assignment-glyph) in the language section and [map\_attr](/docs/maci/object/methods/map_attr.md).

### partner methods

Methods that provide related utility to this method

[map\_attr](/docs/maci/object/methods/map_attr.md)  ->  Map an attribute name\
[unmap\_attr](/docs/maci/object/methods/unmap_attr.md)  ->  Unmap an attribute name


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.macilib.org/docs/maci/object/methods/get_all_maps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
